Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.plaf
Class TitledPanelUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.PanelUI
              org.jdesktop.swingx.plaf.TitledPanelUI

Direct Known Subclasses:
  BasicTitledPanelUI

    public abstract class TitledPanelUI

extends javax.swing.plaf.PanelUI

Author:
  rbair

Constructor Summary
`TitledPanelUI()`

Method Summary
`abstract javax.swing.JComponent` | `getLeftDecoration()`
`abstract javax.swing.JComponent` | `getRightDecoration()`
`abstract java.awt.Container` | `getTitleBar()`
`abstract void` | `setLeftDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the left of the title
`abstract void` | `setRightDecoration(javax.swing.JComponent decoration)` Adds the given JComponent as a decoration on the right of the title

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TitledPanelUI

    public TitledPanelUI()

Method Detail

### setRightDecoration

    public abstract void setRightDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the right of the title

  Parameters:
    `decoration` -

### getRightDecoration

    public abstract javax.swing.JComponent getRightDecoration()

### setLeftDecoration

    public abstract void setLeftDecoration(javax.swing.JComponent decoration)

  Adds the given JComponent as a decoration on the left of the title

  Parameters:
    `decoration` -

### getLeftDecoration

    public abstract javax.swing.JComponent getLeftDecoration()

### getTitleBar

    public abstract java.awt.Container getTitleBar()

  Returns:
    the Container acting as the title bar for this component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.